import { Observable, Subject } from 'rxjs';
import type NodeWebSocket from 'ws';
export interface MessageSerializer<T> {
    (data: T): string;
}
export interface MessageDeserializer<T> {
    (event: MessageEvent | NodeWebSocket.MessageEvent): T;
}
declare type WebSocketEvents = Event | NodeWebSocket.OpenEvent | MessageEvent | NodeWebSocket.MessageEvent | NodeWebSocket.ErrorEvent | CloseEvent | NodeWebSocket.CloseEvent;
export declare class RxWebSocket<Request, Response> extends Subject<WebSocketEvents> {
    #private;
    constructor(url: string, { protocols, clientOptions, serializer, deserializer, debug, }: {
        protocols?: string | string[];
        clientOptions?: NodeWebSocket.ClientOptions;
        serializer?: MessageSerializer<Request>;
        deserializer?: MessageDeserializer<Response>;
        debug?: boolean;
    });
    send(data: Request): this;
    get message(): Observable<Response>;
    messageOf<T extends Response>(predicate: (value: Response) => value is T, timeoutMs?: number): Observable<T>;
    messageOf<T extends Response>(predicate: (value: Response) => boolean, timeoutMs?: number): Observable<Response>;
    close(): void;
}
export {};
