'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const isString = value => typeof value === 'string';
const pairwise = array => {
  return array.map((value, index) => index === 0 ? [null, value] : [array[index - 1], value]);
}; // assuming mutation

const threewise = array => {
  return array.map((value, index) => {
    const previous = index === 0 ? null : array[index - 1];
    const next = index === array.length - 1 ? null : array[index + 1];
    return [previous, value, next];
  });
};

exports.isString = isString;
exports.pairwise = pairwise;
exports.threewise = threewise;
//# sourceMappingURL=functions.js.map
