'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var rxjs = require('rxjs');

const documentReady = () => {
  return new rxjs.Observable(subscriber => {
    if (window.document.readyState === 'complete' || window.document.readyState === 'interactive') {
      subscriber.next();
      subscriber.complete();
      return;
    }

    window.document.addEventListener('DOMContentLoaded', () => {
      subscriber.next();
      subscriber.complete();
    }, {
      once: true
    });
  });
};

exports.documentReady = documentReady;
//# sourceMappingURL=document-ready.js.map
