'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var rxjs = require('rxjs');
var operators = require('rxjs/operators');
var util = require('./internal/util.js');

class UserScriptApi {
  static pageChange;

  static get data() {
    if (!util.isScrapboxReady()) {
      throw new Error('window.scrapbox is not set');
    }

    return window.scrapbox;
  }

  static get ready() {
    return util.scrapboxReady();
  }

  static get update() {
    this.pageChange = this.pageChange || util.nodeChange(this.pageContainerElement, {
      childList: true,
      subtree: true
    });
    return rxjs.concat(this.ready, this.pageChange).pipe(operators.map(() => this.data), operators.share());
  }

  static get pageContainerElement() {
    return util.findElementOrFail('#app-container .page');
  }

  static get pageTitle() {
    return this.data.Page.title || '';
  }

  static get pageLines() {
    return this.data.Page.lines || [];
  }

  static get projectName() {
    return this.data.Project.name;
  }

}

exports.UserScriptApi = UserScriptApi;
//# sourceMappingURL=scrapbox.js.map
