import { isBrowser } from '../common/utils.js';

// NOTE: use bind(window) to avoid `TypeError: Illegal invocation`
const fetch = isBrowser() ? globalThis.fetch.bind(window) : require('node-fetch');
class DefaultHttpClient {
    fetchFn;
    constructor(fetchFn = fetch) {
        this.fetchFn = fetchFn;
    }
    async get(url, options = {}) {
        const result = await this.fetchFn(url, options);
        return (await result.json());
    }
}

export { DefaultHttpClient, fetch };
//# sourceMappingURL=http-client.js.map
