import { InlineNode } from './inline-nodes';
export interface LineInput {
    text: string;
    created: number;
    updated: number;
    id?: string;
    userId?: string;
    title?: boolean;
}
export interface ParsedLine extends LineInput {
    title?: true;
    section?: {
        number: number;
        start: boolean;
        end: boolean;
    };
    nodes?: (InlineNode | InlineNode[]) | {
        type: 'indent';
        unit: {
            content: string;
            tag: string;
            whole: string;
        };
        children: InlineNode | InlineNode[];
    };
    codeBlock?: {
        filename: string;
        lang: string;
        indent: number;
        start: boolean;
        end: boolean;
    };
    tableBlock?: {
        title: string;
        cells: string[];
        indent: number;
        start: boolean;
        end: boolean;
    };
    cli?: {
        prefix: '$' | '%';
        command: string;
    };
    indent: number;
    empty: boolean;
    number: number;
    isFirst: boolean;
    isLast: boolean;
}
export declare const parseLines: (lines: LineInput[]) => ParsedLine[];
